
Redmine - Patch #5438

Patch repairing rendering of subtasks in gantt diagram 

2010-05-04 15:44 - Jarek Nowisz

Status: Closed Start date: 2010-05-04

Priority: Normal Due date: 2010-05-04

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Description

There is a bug in r3733 in sorting algorithm. Id doesn't sort well when you define tasks and subtasks with the same start dates. For

example if all tasks and subtask have the same start date, then tasks adn subtasks won't be sorted. Attached simple two-liner repairs

this bug.

Related issues:

Related to Redmine - Defect #6251: Subtasks do not appear under parent task i... Closed 2010-08-31

Related to Redmine - Feature #5194: Favor task/subtask relations in gantt chart Closed 2010-03-26

Related to Redmine - Feature #5881: Subtasks do not always appear below the p... Closed 2010-07-14

Related to Redmine - Defect #5989: Gantt subtasking display broken Closed 2010-07-29

Related to Redmine - Defect #6968: Sorting of issues in Gantt Closed 2010-11-24

Related to Redmine - Defect #7335: Sorting issues in gantt by date, not by id Closed 2011-01-15

History

#1 - 2010-08-05 08:14 - Sepp _

Tested. Works

#2 - 2010-08-07 00:44 - Yuki Kita

+1

This patch works fine.

And it also fixes #5194, #5881, #5989.

Many people want these defects to be fixed.

So, the patch should be included in 1.0.1.

The patch is so simple that I think it will not make any trouble.

#3 - 2010-08-11 08:40 - Sepp _

No, it is not resolved!

After further testing, redmine stable svn from today still shows subtasks in the gantt, where no subtasks are!

#4 - 2010-10-03 15:03 - Mischa The Evil

- Category set to Gantt

#5 - 2010-10-14 14:28 - Damien Couderc

Works for me.

This fix should be merged ASAP to see if it fixes issues for everyone.

#6 - 2011-03-23 15:05 - Cassiano Monteiro

+1

#7 - 2012-10-23 14:04 - Toshi MARUYAMA

- Description updated

#8 - 2012-10-23 14:10 - Toshi MARUYAMA

- Status changed from New to Closed

Gantt was refactored in #6276.
https://www.redmine.org/projects/redmine/repository/svn/revisions/3733
https://www.redmine.org/issues/5194
https://www.redmine.org/issues/5881
https://www.redmine.org/issues/5989
https://www.redmine.org/issues/6276


So, this issue is obsolete.
